Module java.desktop
Package javax.swing.plaf

## Class LabelUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.LabelUI

- Direct Known Subclasses:
    `BasicLabelUI`, `MultiLabelUI`

      public abstract class LabelUI
      extends ComponentUI

  Pluggable look and feel interface for JLabel.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LabelUI​()` |

  - ### Method Summary

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelUI

          public LabelUI​()